import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./order-confirmation/order-confirmation.component";
import * as i2 from "./order-review/order-review.component";
import * as i3 from "./order-review/delivery-information/delivery-information.component";
import * as i4 from "./order-review/order-review-list/order-review-list.component";
import * as i5 from "./order-review/order-review-grid/order-review-grid.component";
import * as i6 from "./custom-checkout/custom-checkout.component";
import * as i7 from "@angular/common";
import * as i8 from "@angular/material/card";
import * as i9 from "@angular/material/list";
import * as i10 from "@spartacus/storefront";
import * as i11 from "@angular/forms";
import * as i12 from "@ng-bootstrap/ng-bootstrap";
import * as i13 from "@angular/material/radio";
import * as i14 from "../shared/shared-components.module";
import * as i15 from "@syncfusion/ej2-angular-calendars";
import * as i16 from "ngx-hide-on-scroll";
import * as i17 from "@spartacus/core";
export declare class CheckoutModule {
    constructor(parentModule?: CheckoutModule);
    static forRoot(environment: any): ModuleWithProviders<CheckoutModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckoutModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CheckoutModule, [typeof i1.OrderConfirmationComponent, typeof i2.OrderReviewComponent, typeof i3.DeliveryInformationComponent, typeof i4.OrderReviewListComponent, typeof i5.OrderReviewGridComponent, typeof i6.CustomCheckoutComponent], [typeof i7.CommonModule, typeof i8.MatCardModule, typeof i9.MatListModule, typeof i10.MediaModule, typeof i11.FormsModule, typeof i11.ReactiveFormsModule, typeof i12.NgbDatepickerModule, typeof i13.MatRadioModule, typeof i14.SharedComponentsModule, typeof i15.TimePickerModule, typeof i12.NgbModule, typeof i16.NgxHideOnScrollModule, typeof i17.ConfigModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CheckoutModule>;
}
