import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../services/cart.service';
import { OrderHistoryService } from '../services/order-history.service';
import * as i0 from "@angular/core";
export declare class CustomOrderDetailsComponent implements OnInit {
    cmsService: CmsService;
    private route;
    private orderHistoryService;
    private cartService;
    cd: ChangeDetectorRef;
    orderDetails: any;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    listview: boolean;
    isExpandAll: boolean;
    totalPrice: any;
    dataAvailale: any;
    showOrder: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    orderId: any;
    orderStatuses: any;
    sortData: any;
    statusCode?: string;
    constructor(cmsService: CmsService, route: ActivatedRoute, orderHistoryService: OrderHistoryService, cartService: CartService, cd: ChangeDetectorRef);
    sortby: string[];
    ngOnInit(): void;
    getOrderList(): void;
    sortBy(val: any): void;
    getCheckedOrderStatuses(data: any): void;
    checkOrderStatus(event: any, data?: any): void;
    gridView(): void;
    listView(): void;
    expandAll(): void;
    contractAll(): void;
    getOrderStatusData(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomOrderDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomOrderDetailsComponent, "app-custom-order-details", never, {}, {}, never, never>;
}
